view.hpp File Reference

## Classes

struct | ranges::make_view_closure_fn
struct | ranges::views::view_closure< ViewFn >
struct | ranges::views::view_closure_base

## Functions

template<typename Rng >
constexpr bool | ranges::simple_view () noexcept

## Variables

template<typename ViewFn , typename Rng >
concept | ranges::iinvocable_view_closure
| \concept invocable_view_closure More...
concept | ranges::invocable_view_closure_ =
constexpr make_view_closure_fn | ranges::make_view_closure {}
concept same_as< iterator_t< Rng >, iterator_t< Rng const > > && | ranges::same_as< sentinel_t< Rng >, sentinel_t< Rng const > >
concept | ranges::simple_view_impl_ =
template<typename Rng >
concept | ranges::ssimple_view_
| \concept simple_view_ More...